MDL-52715 lib: Addition of new requirements class.
authorAdrian Greeve <adrian@moodle.com>
Mon, 11 Jan 2016 07:54:43 +0000 (15:54 +0800)
committerAdrian Greeve <adrian@moodle.com>
Mon, 1 Feb 2016 06:29:09 +0000 (14:29 +0800)
commitcc73ea075eb49d2e7a7824720d018d7240c5dbfb
tree91333fecf5d9aa11def947e4acb4f6db589496bf
parentc9d91bb7347d8d35d90a7cbf8e4cdb518230c428
MDL-52715 lib: Addition of new requirements class.

This adds a fragment requirements class to allow plugins
to register JavaScript to be used in an mform.
lib/amd/build/fragment.min.js [new file with mode: 0644]
lib/amd/src/fragment.js [new file with mode: 0644]
lib/db/services.php
lib/external/externallib.php
lib/outputfragmentrequirementslib.php [new file with mode: 0644]
lib/outputlib.php
lib/pagelib.php